*Åpner datasett for Norge og Tyskland (sammenslått på forhånd, brukt kommandoen append og lagret)
use "/Users/idakristinestakston/Documents/6.Semester/Bachelor/BachelorOppgave/data2901-Nor_Ger.dta"

*Lager en dummy for Tyskland
gen germany=0
replace germany=1 if idcntry==276

*Lager en dummy for interessevariabelen - innvandrer
gen innv = par_not_born
gen innv_ger = innv*germany

*Omkoder kategori til dummy for husholdningsinntekt
gen Dincome40_plus=0 if income!=.
replace Dincome40_plus=1 if income>=4
gen Dincome40_plus_ger = Dincome40_plus*germany

*Omkoder kategori til dummy for foreldrenes utdanning
gen Dpar_edu_uni=0 if par_edu>1
replace Dpar_edu_uni=1 if par_edu==1
gen Dpar_edu_uni_ger = Dpar_edu_uni*germany

*Omkoder kategori til dummy for foreldrenes arbeidsstatus
gen Dpar_emp_full=0 if par_emp!=.
replace Dpar_emp_full=1 if par_emp<3
gen Dpar_emp_full_ger = Dpar_emp_full*germany

*Omkoder kategori til dummy for andelen innvandrerelever ved skolen
gen Dpct_abroad25_plus=0 if pct_abroad!=.
replace Dpct_abroad25_plus=1 if pct_abroad>2
gen Dpct_abroad25_plus_ger = Dpct_abroad25_plus*germany

*Genererer en samspillsvariabel for tilleggsproblemstillingen - effekten av andelen innvandrerelever på skolen på innvandrerelever
gen Dpct_abroad25_plus_innv = Dpct_abroad25_plus*innv
gen Dpct_abroad25_plus_innv_ger = Dpct_abroad25_plus_innv*germany

*Genererer samspillsvariabler for Tyskland (det tyske utvalget)
gen girl_ger = girl*germany
gen kinderg_att_ger = kinderg_att*germany
gen clsize_ger = clsize*germany
gen teacher_exp_ger = teacher_exp*germany
gen pc_class_ger = pc_class*germany
gen teacher_cert_ger = teacher_cert*germany
gen clsize_sq = clsize*clsize
gen clsize_sq_ger = clsize_sq*germany

*Deskriptiv statistikk
*For Norge
sum read innv germany girl kinderg_att Dincome40_plus Dpar_edu_uni Dpar_emp_full clsize teacher_cert pc_class Dpct_abroad25_plus if germany==0
*For Tyskland
sum read innv germany girl kinderg_att Dincome40_plus Dpar_edu_uni Dpar_emp_full clsize teacher_cert pc_class Dpct_abroad25_plus if germany==1

*Fresmtiller korrelasjonsmatrisen
corr read innv germany girl kinderg_att Dincome40_plus Dpar_edu_uni Dpar_emp_full clsize teacher_cert pc_class Dpct_abroad25_plus

* Regresjon for MODELL 1A - den restriktive modellen
eststo: reg read innv germany innv_ger
esttab using Bachelormodell1a.rtf, r2 nostar se replace
*Tester for heteroskedastisitet
estat hettest

* Regresjon for MODELL 1B - kontroll for personkarakteristikk
eststo: reg read innv germany innv_ger girl kinderg_att
esttab using Bachelormodell1b.rtf, r2 nostar se replace
*Hypotesetest for gydlige restriksjoner
test girl kinderg_att
*Tester for heteroskedastisitet
estat hettest

* Regresjon for MODELL 1C - kontroll for familiekarakteristikk
eststo: reg read innv germany innv_ger girl kinderg_att Dincome40_plus Dpar_edu_uni Dpar_emp_full
esttab using Bachelormodell1c.rtf, r2 nostar se replace
*Hypotesetest for gyldige restriksjoner
test Dincome40_plus Dpar_edu_uni Dpar_emp_full
*Tester for heteroskedastisitet
estat hettest

* Regresjon for MODELL 1D - kontroll for skolekarakteristikk (fullstendig skoleproduktfunksjon)
eststo: reg read innv germany innv_ger girl kinderg_att Dincome40_plus Dpar_edu_uni Dpar_emp_full clsize clsize_sq teacher_cert pc_class
esttab using Bachelormodell1d.rtf, r2 nostar se replace
*Hypotesetest for gyldige restriksjoner
test clsize clsize_sq teacher_cert pc_class
*Tester for heteroskedastisitet¨
estat hettest
* Regresjon med robuster verdier
reg read innv germany innv_ger girl kinderg_att Dincome40_plus Dpar_edu_uni Dpar_emp_full clsize clsize_sq teacher_cert pc_class, robust

eststo clear
* Regresjon for MODELL 1D - fullstendig skoleproduktfunksjon
eststo: reg read innv germany innv_ger girl kinderg_att Dincome40_plus Dpar_edu_uni Dpar_emp_full clsize clsize_sq teacher_cert pc_class
esttab using Bachelormodell1d.rtf, r2 nostar se replace

* Regresjon for MODELL 2A - kontroll for Tyskland
eststo: reg read innv germany innv_ger girl girl_ger kinderg_att kinderg_att_ger Dincome40_plus Dincome40_plus_ger Dpar_edu_uni Dpar_edu_uni_ger Dpar_emp_full Dpar_emp_full_ger clsize clsize_sq clsize_ger clsize_sq_ger teacher_cert teacher_cert_ger pc_class pc_class_ger
esttab using Bachelormodell2a.rtf, r2 nostar se replace
*Hypotesetest for om skoleproduktfunksjonen er forskjellig for Norge og Tyskland
test innv_ger girl_ger kinderg_att_ger Dincome40_plus_ger Dpar_edu_uni_ger Dpar_emp_full_ger clsize_ger clsize_sq_ger teacher_cert_ger pc_class_ger
*Tester for heteroskedastisitet¨
estat hettest

* Regresjon for MODELL 2B - kontroll for andelen innvandrere
eststo: reg read innv germany innv_ger girl girl_ger kinderg_att kinderg_att_ger Dincome40_plus Dincome40_plus_ger Dpar_edu_uni Dpar_edu_uni_ger Dpar_emp_full Dpar_emp_full_ger clsize clsize_sq clsize_ger clsize_sq_ger teacher_cert teacher_cert_ger pc_class pc_class_ger Dpct_abroad25_plus Dpct_abroad25_plus_ger
esttab using Bachelormodell2b.rtf, r2 nostar se replace
*Hypotesetest for gyldige restriksjoner
test Dpct_abroad25_plus Dpct_abroad25_plus_ger

* Regresjon for MODELL 2C - kontroll for tilleggsproblemstillingen
eststo: reg read innv germany innv_ger girl girl_ger kinderg_att kinderg_att_ger Dincome40_plus Dincome40_plus_ger Dpar_edu_uni Dpar_edu_uni_ger Dpar_emp_full Dpar_emp_full_ger clsize clsize_sq clsize_ger clsize_sq_ger teacher_cert teacher_cert_ger pc_class pc_class_ger Dpct_abroad25_plus Dpct_abroad25_plus_ger Dpct_abroad25_plus_innv Dpct_abroad25_plus_innv_ger
esttab using Bachelormodell2c.rtf, r2 nostar se replace
*Hypotesetest for gyldige restriksjoner
test Dpct_abroad25_plus_innv Dpct_abroad25_plus_innv_ger
*Tester for heteroskedastisitet¨
estat hettest